=== debian/changelog ===
protozero (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Dec 2015 09:14:44 +0100

protozero (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Oct 2015 09:08:19 +0200

protozero (1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Oct 2015 22:30:21 +0200

protozero (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Oct 2015 08:18:37 +0200

protozero (1.1.0-5) unstable; urgency=medium

  * Fix Breaks/Replaces to use less then versions only.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Sep 2015 21:36:48 +0200

protozero (1.1.0-4) unstable; urgency=medium

  * Ignore test failures only on problematic architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Sep 2015 16:17:13 +0200

protozero (1.1.0-3) unstable; urgency=medium

  * Use Breaks/Replaces for libosmium2-dev versions including protozero only.
  * Ignore test failures to not fail the entire build.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Sep 2015 13:29:03 +0200

protozero (1.1.0-2) unstable; urgency=medium

  * Add license & copyright for test/include/catch.hpp.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2015 14:53:24 +0200

protozero (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Install CHANGELOG.md as upstream changelog.
  * Use versioned Breaks instead of Conflicts for libosmium2-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 22:09:29 +0200

protozero (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #796508)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 11:41:42 +0200
