=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Verbose make output
export VERBOSE=1

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --parallel

override_dh_auto_build-arch:
	dh_auto_build --arch

override_dh_auto_build-indep:
	$(MAKE) doc
	# Remove useless autogenerated doxygen files
	$(RM) doc/html/*.md5

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifneq (,$(findstring $(DEB_BUILD_ARCH),"armhf"))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
