## protozero 1.3.0

=== debian/changelog ===
protozero (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Feb 2016 11:36:58 +0100
