## protozero 1.4.0

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,9 @@
 CXX := $(CXX)
 CXXFLAGS := $(CXXFLAGS)
 LDFLAGS := $(LDFLAGS)
+
+# Installation directory
+DESTDIR ?= /usr
 
 WARNING_FLAGS := -Wall -Wextra -pedantic -Wsign-compare -Wsign-conversion -Wunused-parameter -Wno-float-equal -Wno-covered-switch-default
 
@@ -38,18 +41,25 @@
 PROTO_FILES_O := $(subst .proto,.pb.o,$(PROTO_FILES))
 
 HPP_FILES := include/protozero/byteswap.hpp \
+             include/protozero/config.hpp \
              include/protozero/exception.hpp \
+             include/protozero/iterators.hpp \
+             include/protozero/pbf_builder.hpp \
+             include/protozero/pbf_message.hpp \
+             include/protozero/pbf_reader.hpp \
+             include/protozero/pbf_writer.hpp \
+             include/protozero/types.hpp \
              include/protozero/varint.hpp \
-             include/protozero/pbf_types.hpp \
-             include/protozero/pbf_reader.hpp \
-             include/protozero/pbf_writer.hpp
+             include/protozero/version.hpp
+
+DOC_FILES = doc/cheatsheet.md doc/macros.md doc/tutorial.md
 
 CFLAGS_PROTOBUF := $(subst -I,-isystem ,$(shell pkg-config protobuf --cflags))
 LDFLAGS_PROTOBUF := $(shell pkg-config protobuf --libs-only-L)
 
 all: ./test/tests test/writer_tests
 
-./test/t/%/test_cases.o: test/t/%/test_cases.cpp $(HPP_FILES)
+./test/t/%/test_cases.o: test/t/%/test_cases.cpp test/include/test.hpp test/include/scalar_access.hpp test/include/packed_access.hpp $(HPP_FILES)
 	$(CXX) -c -Iinclude -Itest/include $(CXXFLAGS) $(COMMON_FLAGS) $(DEBUG_FLAGS) $< -o $@
 
 ./test/tests.o: test/tests.cpp $(HPP_FILES)
@@ -79,8 +89,8 @@
 
 iwyu: $(HPP_FILES) test/tests.cpp test/writer_tests.cpp
 	iwyu -Xiwyu -- -std=c++11 -Iinclude include/protozero/exception.hpp || true
+	iwyu -Xiwyu -- -std=c++11 -Iinclude include/protozero/types.hpp || true
 	iwyu -Xiwyu -- -std=c++11 -Iinclude include/protozero/varint.hpp || true
-	iwyu -Xiwyu -- -std=c++11 -Iinclude include/protozero/pbf_types.hpp || true
 	iwyu -Xiwyu -- -std=c++11 -Iinclude include/protozero/pbf_reader.hpp || true
 	iwyu -Xiwyu -- -std=c++11 -Iinclude include/protozero/pbf_writer.hpp || true
 	iwyu -Xiwyu -- -std=c++11 -Iinclude -Itest/include test/tests.cpp || true
@@ -89,7 +99,7 @@
 check: $(HPP_FILES) test/tests.cpp test/include/test.hpp test/include/testcase.hpp test/t/*/testcase.cpp $(TEST_CASES)
 	cppcheck -Uassert --std=c++11 --enable=all --suppress=incorrectStringBooleanError $^
 
-doc: doc/Doxyfile README.md tutorial.md $(HPP_FILES)
+doc: doc/Doxyfile README.md UPGRADING.md $(DOC_FILES) $(HPP_FILES)
 	doxygen doc/Doxyfile
 
 clean:
@@ -112,5 +122,15 @@
 	rm -f ./*.gcov
 	rm -fr doc/doxygen_sqlite3.db doc/html coverage
 
+testpack:
+	rm -f ./*tgz
+	npm pack
+	tar -ztvf *tgz
+	rm -f ./*tgz
+
+install:
+	install -m 0755 -o root -g root -d $(DESTDIR)/include/protozero
+	install -m 0644 -o root -g root include/protozero/* $(DESTDIR)/include/protozero
+
 .PHONY: all test iwyu check doc
