=== debian/changelog ===
protozero (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update watch file to handle more tag conventions in filenamemangle.
  * Override dh_auto_install to set appropriate DESTDIR.
  * Override dh_install to use --list-install.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Jul 2016 16:29:25 +0200
