=== debian/changelog ===
protozero (1.5.1-1+deb9u1) stretch; urgency=medium

  * Update branch in gbp.conf & Vcs-Git URL.
  * Include upstream patch to fix data_view equality operator.
    This fixes a rather embarrassing bug in the equality operator of the
    data_view class. The equality operator is actually never used in the
    protozero code itself, but users of protozero might use it. This is a
    serious bug that could lead to buffer overrun type problems.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Jul 2017 15:59:15 +0200

protozero (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop makefile-docs.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Jan 2017 11:19:51 +0100

protozero (1.5.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Jan 2017 19:25:52 +0100

protozero (1.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Include additional docs in libprotozero-dev.
  * Add patch to update DOC_FILES to fix `make doc` failure.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Jan 2017 14:29:29 +0100

protozero (1.4.5-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Nov 2016 07:15:23 +0100

protozero (1.4.5-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Nov 2016 16:12:38 +0100

protozero (1.4.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop 0001-Fixed-byteswap-implementation.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Nov 2016 22:16:28 +0100

protozero (1.4.3-1~exp2) experimental; urgency=medium

  * Add upstream patch to fix FTBFS on big endian architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Nov 2016 20:41:25 +0100

protozero (1.4.3-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Nov 2016 14:46:55 +0100

protozero (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Aug 2016 09:58:57 +0200

protozero (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop © character from copyright statement in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Aug 2016 07:34:50 +0200
