=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                libprotobuf-dev,
                protobuf-compiler,
                pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/protozero.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/protozero.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/protozero.git -b stretch
 Homepage: https://github.com/mapbox/protozero
 
 Package: libprotozero-dev
