=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,12 @@
 	dh_auto_test
 endif
 
+override_dh_auto_install:
+	dh_auto_install --destdir=$(CURDIR)/debian/tmp/usr
+
+override_dh_install:
+	dh_install --list-missing
+
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
