## protozero 1.5.2

=== debian/changelog ===
protozero (1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Jul 2017 11:05:12 +0200
