=== debian/changelog ===
protozero (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Nov 2017 18:36:28 +0100

protozero (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add cmake to build dependencies.
  * Update packaging for cmake build.
  * Bump Standards-Version to 4.1.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Oct 2017 20:08:16 +0200

protozero (1.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0, no changes.
  * Update path for catch.hpp in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Sep 2017 16:49:40 +0200
