=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               cmake (>= 2.8),
                doxygen,
                graphviz,
                libprotobuf-dev,
                protobuf-compiler,
                pkg-config
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/protozero.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/protozero.git
 Homepage: https://github.com/mapbox/protozero
