=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,11 @@
 %:
 	dh $@ --parallel
 
-override_dh_auto_build-arch:
-	dh_auto_build --arch
+override_dh_auto_build:
+	dh_auto_build
 
-override_dh_auto_build-indep:
-	$(MAKE) doc
 	# Remove useless autogenerated doxygen files
-	$(RM) doc/html/*.md5
+	$(RM) obj-*/doc/html/*.md5
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only
@@ -26,9 +24,6 @@
 	dh_auto_test
 endif
 
-override_dh_auto_install:
-	dh_auto_install --destdir=$(CURDIR)/debian/tmp/usr
-
 override_dh_install:
 	dh_install --list-missing
