=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libprotobuf-dev,
                protobuf-compiler,
                pkg-config
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/protozero.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/protozero.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/protozero.git -b stretch-backports
 Homepage: https://github.com/mapbox/protozero
 
 Package: libprotozero-dev
@@ -40,8 +40,7 @@
 Package: libprotozero-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Description: Minimalistic protocol buffer decoder and encoder in C++ - docs
  protozero is a minimalistic protocol buffer decoder and encoder in C++.
  .
