=== debian/changelog ===
protozero (1.6.3-2) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 16:38:06 +0200

protozero (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.
  * Use filter instead of findstring to prevent partial matches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Jul 2018 18:17:35 +0200
