=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libprotobuf-dev,
                protobuf-compiler,
                pkg-config
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/protozero.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/protozero.git -b stretch-backports
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/protozero/
+Vcs-Git: https://salsa.debian.org/debian-gis-team/protozero.git
 Homepage: https://github.com/mapbox/protozero
 
 Package: libprotozero-dev
@@ -55,4 +55,3 @@
  Protobufs protoc program.
  .
  This package contains the protozero documentation.
-
