## protozero 1.6.5

=== debian/changelog ===
protozero (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Feb 2019 16:25:11 +0100

protozero (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Nov 2018 17:45:31 +0100
