=== test/unit/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
                basic
                endian
                exceptions
+               iterators
                varint
                zigzag)
