=== debian/changelog ===
protozero (1.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Feb 2019 12:00:42 +0100

protozero (1.6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Feb 2019 06:56:30 +0100
