=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libprotobuf-dev,
                protobuf-compiler,
                pkg-config
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/protozero/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/protozero.git
 Homepage: https://github.com/mapbox/protozero
