=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_auto_test:
 # Ignore test failures on problematic architectures only
-ifneq (,$(findstring $(DEB_BUILD_ARCH),"armhf"))
+ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test
@@ -29,4 +29,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
-
