## protozero 1.6.8

=== debian/changelog ===
protozero (1.6.8-1ubuntu2) groovy; urgency=medium

  * Force building with -O2, see
    https://github.com/mapbox/protozero/issues/101

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Jun 2020 10:39:20 +0200

protozero (1.6.8-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Aug 2019 15:26:03 +0200
