=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 # Verbose make output
 export VERBOSE=1
+
+# see https://github.com/mapbox/protozero/issues/101
+export DEB_CXXFLAGS_MAINT_STRIP = -O3
+export DEB_CXXFLAGS_MAINT_APPEND = -O2
 
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
