=== debian/changelog ===
protozero (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Update copyright years for Two Blue Cubes Ltd.
  * Add patch to fix privacy-breach lintian issues.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Jun 2020 15:38:54 +0200
