=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,10 @@
 # Verbose make output
 export VERBOSE=1
 
-# see https://github.com/mapbox/protozero/issues/101
-export DEB_CXXFLAGS_MAINT_STRIP = -O3
-export DEB_CXXFLAGS_MAINT_APPEND = -O2
-
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build
